import { Component, Input } from '@angular/core';
var ListItemComponent = /** @class */ (function () {
    function ListItemComponent() {
        this.disabled = false;
        this._isActive = false;
    }
    ListItemComponent.prototype.setActiveStyles = function () {
        this._isActive = true;
    };
    ListItemComponent.prototype.setInactiveStyles = function () {
        this._isActive = false;
    };
    ListItemComponent.prototype.getLabel = function () {
        return this.item;
    };
    ListItemComponent.decorators = [
        { type: Component, args: [{
                    selector: 'list-item',
                    template: require('./list-item.component.html'),
                    styles: [require('./list-item.component.css').toString()]
                },] },
    ];
    /** @nocollapse */
    ListItemComponent.ctorParameters = function () { return []; };
    ListItemComponent.propDecorators = {
        'item': [{ type: Input },],
        'disabled': [{ type: Input },],
    };
    return ListItemComponent;
}());
export { ListItemComponent };
//# sourceMappingURL=list-item.component.js.map